package dynamusapi;

import java.io.*;

public class DynamusEvent implements Serializable {

	public String name;
	
	public DynamusEvent(String name){
		this.name=name;
	}
	
	public DynamusEvent(){
		this("event");
	}
	
	/**
	 * Creates a new event from data read from an inputstream
	 * @param in
	 * @throws IOException 
	 */
	public DynamusEvent(DataInputStream in ) throws IOException{
			this.name = in.readUTF();
	}
	
	/**
	 * Waits for an event to arrive and returns it
	 * @param in
	 * @return
	 * @throws IOException
	 */
	public static DynamusEvent readEvent(DataInputStream in) throws IOException{
		
		return new DynamusEvent(in);
	}
	
	
	public void send(DataOutputStream out) throws IOException{
		out.writeUTF(this.name);
	}
	
	
	public String getName(){
		return this.name;
	}
	
	/* DELETE
	private void writeObject(java.io.ObjectOutputStream out) throws IOException {
	    // Enviamos los atributos a y b en un orden cualquiera.
	    out.writeChars(this.name);
	}

	private void readObject(java.io.ObjectInputStream in) throws IOException, ClassNotFoundException {
	    // Leemos los atributos a y b en el mismo orden que los enviamos en writeObject()
	    this.name = in.readUTF();
	}*/
	
}